Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 614329 - Review Request: emacs-common-w3m - W3m interface for Emacsen
Review Request: emacs-common-w3m - W3m interface for Emacsen
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 595213 (view as bug list)
Depends On: 657745 657746
Blocks: 595213
  Show dependency treegraph
 
Reported: 2010-07-14 03:02 EDT by Akira TAGOH
Modified: 2010-11-27 12:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 00:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-07-14 03:02:09 EDT
Re-submitting the package review for renaming w3m-el package to meet current packaging guidelines.

Spec URL: http://tagoh.fedorapeople.org/reviews/emacs-common-w3m/emacs-common-w3m.spec
SRPM URL: http://tagoh.fedorapeople.org/reviews/emacs-common-w3m/emacs-common-w3m-1.4.398-0.1.20100714cvs.fc14.src.rpm
Description:
W3m is a text based World Wide Web browser with IPv6 support. It
features excellent support for tables and frames. It can be used as a
standalone pager such as lv, less, and more.
Comment 1 Parag AN(पराग) 2010-07-16 05:42:49 EDT
Suggestions:
1) missing obsoletes and provides for renamed package
See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Renaming.2Freplacing_existing_packages

2) If package is needed only for F-13 and above then 
a) %clean not needed
b) cleaning of buildroot at start of %install also not needed

3) Please provide steps in comments on how can one generate the source tarball.
Comment 3 Parag AN(पराग) 2010-07-26 23:59:54 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2350728
+ rpmlint output for SRPM and for RPM.
emacs-common-w3m.src: W: no-cleaning-of-buildroot %clean
emacs-common-w3m.src: W: no-buildroot-tag
emacs-common-w3m.src: W: no-%clean-section
emacs-common-w3m.src: W: invalid-url Source0: emacs-w3m-1.4.398.tar.gz
emacs-w3m.noarch: W: spelling-error Summary(en_US) elisp -> lisp, e lisp, Elise
emacs-w3m.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-w3m.noarch: W: no-documentation
emacs-w3m-el.noarch: W: spelling-error Summary(en_US) Elisp -> Elis, Lisp, Elise
emacs-w3m-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
emacs-w3m-el.noarch: W: obsolete-not-provided w3m-el
emacs-w3m-el.noarch: W: no-documentation
xemacs-w3m.noarch: W: spelling-error Summary(en_US) elisp -> lisp, e lisp, Elise
xemacs-w3m.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
xemacs-w3m.noarch: W: no-documentation
xemacs-w3m-el.noarch: W: spelling-error Summary(en_US) Elisp -> Elis, Lisp, Elise
xemacs-w3m-el.noarch: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Elise
xemacs-w3m-el.noarch: W: obsolete-not-provided w3m-el-xemacs
xemacs-w3m-el.noarch: W: no-documentation
=> These messages can be ignored
emacs-w3m.noarch: W: name-repeated-in-summary C Emacs-w3m
==>This is not a blocker though as its because of following the spec template for emacs addons.

+ source files match upstream url when packaged according to given steps.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ following emacs packaging guidelines
+ Not a GUI application

Suggestions:
1) use install commands with "install -p" to preserve timestamps 
2)wherever possible use https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

Please do the above changes before you import this in cvs.
APPROVED.
Comment 4 Akira TAGOH 2010-07-27 00:51:44 EDT
Thanks for reviews. the above suggestions has been applied with:

Spec URL: http://tagoh.fedorapeople.org/reviews/emacs-common-w3m/emacs-common-w3m.spec
SRPM URL: http://tagoh.fedorapeople.org/reviews/emacs-common-w3m/emacs-common-w3m-1.4.398-0.3.20100714cvs.fc14.src.rpm

New Package CVS Request
=======================
Package Name: emacs-common-w3m
Short Description: W3m interface for Emacsen
Owners: tagoh
Branches: devel F-13 F-12
InitialCC:
Comment 5 Akira TAGOH 2010-07-27 02:33:08 EDT
*** Bug 595213 has been marked as a duplicate of this bug. ***
Comment 6 Kevin Fenzi 2010-07-30 16:27:12 EDT
GIT done (by process-cvs-requests.py).

with f14 branch added.
Comment 7 Akira TAGOH 2010-08-02 00:45:47 EDT
Thanks. the package has been built in koji.
Comment 8 Michel Alexandre Salim 2010-11-14 07:58:18 EST
Package Change Request
======================
Package Name: emacs-common-w3m
New Branches: el6
Owners: salimma
InitialCC: 

Needed for full functionality of pure's emacs mode.
Comment 9 Jason Tibbitts 2010-11-15 09:20:15 EST
We need an ack from the current Fedora maintainer.
Comment 10 Akira TAGOH 2010-11-19 00:01:27 EST
Please go ahead.
Comment 11 Jason Tibbitts 2010-11-22 08:52:59 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.